Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.chapterIV.builders
Class WrappedResponseBuilder

    java.lang.Object
      be.ehealth.businessconnector.chapterIV.builders.WrappedResponseBuilder

    public final class WrappedResponseBuilder

extends Object

builds wrapped response objects which can be processed with generic code. needed because xml objects are generated and don't have common superclass or interfaced defined but do implement common methods.

Method Summary
`static Chap4MedicalAdvisorAgreementResponseWrapper<AskChap4MedicalAdvisorAgreementResponse>` | `wrap(AskChap4MedicalAdvisorAgreementResponse response)` wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
`static Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>` | `wrap(ConsultChap4MedicalAdvisorAgreementResponse agreementResponse)` wraps `ConsultChap4MedicalAdvisorAgreementResponse` in a more generic Chap4MedicalAdvisorAgreementResponseWrapper.
`static UnsealedResponseWrapper<Response>` | `wrap(Response response)` wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.
`static UnsealedResponseWrapper<Response>` | `wrap(Response response)` wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### wrap

    public static Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse> wrap(ConsultChap4MedicalAdvisorAgreementResponse agreementResponse)

  wraps `ConsultChap4MedicalAdvisorAgreementResponse` in a more generic Chap4MedicalAdvisorAgreementResponseWrapper.

  Parameters:
    `agreementResponse` - the object to be wrapped
  Returns:
    the wrapped object , implementing the generic interface.

### wrap

    public static Chap4MedicalAdvisorAgreementResponseWrapper<AskChap4MedicalAdvisorAgreementResponse> wrap(AskChap4MedicalAdvisorAgreementResponse response)

  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.

  Parameters:
    `response` - the xml class without interfaces
  Returns:
    the wrapped object , implementing the interfaces

### wrap

    public static UnsealedResponseWrapper<Response> wrap(Response response)

  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.

  Parameters:
    `response` - the xml class without interfaces
  Returns:
    the wrapped object , implementing the interfaces

### wrap

    public static UnsealedResponseWrapper<Response> wrap(Response response)

  wraps a xml class that doesn't implement any interface in a generic class which implements the interfaces.

  Parameters:
    `response` - the xml class without interfaces
  Returns:
    the wrapped object , implementing the interfaces

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.